"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListSecretVersionIds_1 = require("../model/operations/ListSecretVersionIds");
var ListSecretVersionIdsCommand = /** @class */ (function () {
    function ListSecretVersionIdsCommand(input) {
        this.input = input;
        this.model = ListSecretVersionIds_1.ListSecretVersionIds;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListSecretVersionIdsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListSecretVersionIdsCommand;
}());
exports.ListSecretVersionIdsCommand = ListSecretVersionIdsCommand;
//# sourceMappingURL=ListSecretVersionIdsCommand.js.map