import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutSecretValueInput } from "../types/PutSecretValueInput";
import { PutSecretValueOutput } from "../types/PutSecretValueOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/PutSecretValueInput";
export * from "../types/PutSecretValueOutput";
export * from "../types/PutSecretValueExceptionsUnion";
export declare class PutSecretValueCommand implements __aws_sdk_types.Command<InputTypesUnion, PutSecretValueInput, OutputTypesUnion, PutSecretValueOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: PutSecretValueInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutSecretValueInput, PutSecretValueOutput, Blob>;
    constructor(input: PutSecretValueInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<PutSecretValueInput, PutSecretValueOutput>;
}
