"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CancelRotateSecretInput_1 = require("../shapes/CancelRotateSecretInput");
var CancelRotateSecretOutput_1 = require("../shapes/CancelRotateSecretOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CancelRotateSecret = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CancelRotateSecret",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CancelRotateSecretInput_1.CancelRotateSecretInput
    },
    output: {
        shape: CancelRotateSecretOutput_1.CancelRotateSecretOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        }
    ]
};
//# sourceMappingURL=CancelRotateSecret.js.map