"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteResourcePolicyInput_1 = require("../shapes/DeleteResourcePolicyInput");
var DeleteResourcePolicyOutput_1 = require("../shapes/DeleteResourcePolicyOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteResourcePolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteResourcePolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteResourcePolicyInput_1.DeleteResourcePolicyInput
    },
    output: {
        shape: DeleteResourcePolicyOutput_1.DeleteResourcePolicyOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        }
    ]
};
//# sourceMappingURL=DeleteResourcePolicy.js.map