"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeSecretInput_1 = require("../shapes/DescribeSecretInput");
var DescribeSecretOutput_1 = require("../shapes/DescribeSecretOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeSecret = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeSecret",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeSecretInput_1.DescribeSecretInput
    },
    output: {
        shape: DescribeSecretOutput_1.DescribeSecretOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        }
    ]
};
//# sourceMappingURL=DescribeSecret.js.map