"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SecretVersionStagesType_1 = require("./_SecretVersionStagesType");
exports.GetSecretValueOutput = {
    type: "structure",
    required: [],
    members: {
        ARN: {
            shape: {
                type: "string",
                min: 20
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        VersionId: {
            shape: {
                type: "string",
                min: 32
            }
        },
        SecretBinary: {
            shape: {
                type: "blob",
                sensitive: true
            }
        },
        SecretString: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        VersionStages: {
            shape: _SecretVersionStagesType_1._SecretVersionStagesType
        },
        CreatedDate: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=GetSecretValueOutput.js.map