"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetRandomPasswordInput_1 = require("../shapes/GetRandomPasswordInput");
var GetRandomPasswordOutput_1 = require("../shapes/GetRandomPasswordOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRandomPassword = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRandomPassword",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetRandomPasswordInput_1.GetRandomPasswordInput
    },
    output: {
        shape: GetRandomPasswordOutput_1.GetRandomPasswordOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        }
    ]
};
//# sourceMappingURL=GetRandomPassword.js.map