"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SecretVersionStagesType_1 = require("./_SecretVersionStagesType");
exports.PutSecretValueInput = {
    type: "structure",
    required: ["SecretId"],
    members: {
        SecretId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ClientRequestToken: {
            shape: {
                type: "string",
                min: 32
            }
        },
        SecretBinary: {
            shape: {
                type: "blob",
                sensitive: true
            }
        },
        SecretString: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        VersionStages: {
            shape: _SecretVersionStagesType_1._SecretVersionStagesType
        }
    }
};
//# sourceMappingURL=PutSecretValueInput.js.map